<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	include_once( PLOG_CLASS_PATH."class/template/templatesets/templatesets.class.php" );	

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginSiteTemplateSetsListView extends AdminPluginTemplatedView
	{

		function PluginSiteTemplateSetsListView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "templateeditor", "sitetemplatesetslist" );
		}
		
		function render()
		{
			// get a list with all the global template sets
        	$ts = new TemplateSets();
            $globalTemplates = $ts->getGlobalTemplateSets();
            
            $this->setValue( "templates", $globalTemplates );
		
			parent::render();
		}
	}
?>